#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const int MOD=1000000007;

ll niz[27], sufiks[27];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    string s;
    cin >> n >> s;

    for(int i=0;i<n;i++){
        niz[s[i]-'A']++;
    }
    for(int i=0;i<n;i++){
        if(s[i]=='A') continue;
        if(!niz[s[i]-'A'-1]) s[i]='.';
    }
    for(int i=n-1;i>=0;i--){
        if(s[i]=='Z') continue;
        if(!niz[s[i]-'A'+1]) s[i]='.';
    }
    for(int i=n-1;i>=0;i--){
        if(s[i]=='.') continue;
        if(s[i]=='Z'){
            sufiks[25]++;
            continue;
        }
        sufiks[s[i]-'A']=(sufiks[s[i]-'A']+sufiks[s[i]-'A'+1])%MOD;
    }
    cout << sufiks[0];

    return 0;
}